%define upstream_name       WWW-Mechanize-Cached
%define upstream_version 1.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Cache response to be polite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-test-wo-network.patch

BuildRequires: perl(CHI)
BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.4.5
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Uses the Cache::Cache hierarchy to implement a caching Mech. This
lets one perform repeated requests without hammering a server
impolitely.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/*/*

%changelog
* Wed Aug 12 2020 tv <tv> 1.540.0-1.mga8
+ Revision: 1613485
- update to 1.54

* Fri Feb 28 2020 tv <tv> 1.530.0-1.mga8
+ Revision: 1551959
- update to 1.53

* Tue Feb 18 2020 umeabot <umeabot> 1.520.0-2.mga8
+ Revision: 1538569
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 tv <tv> 1.520.0-1.mga8
+ Revision: 1462251
- fix test failing w/o networking
- update to 1.52

* Thu Sep 20 2018 umeabot <umeabot> 1.510.0-2.mga7
+ Revision: 1287205
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 shlomif <shlomif> 1.510.0-1.mga7
+ Revision: 1192699
- New version 1.51

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1035739
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 969198
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 864516
- update to 1.50

* Sat Jul 04 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 850030
- update to 1.48

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-3.mga5
+ Revision: 738902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-2.mga5
+ Revision: 686841
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 1.440.0-1.mga5
+ Revision: 668671
- update to 1.44

* Sat Oct 19 2013 umeabot <umeabot> 1.430.0-2.mga4
+ Revision: 530684
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 sander85 <sander85> 1.430.0-1.mga4
+ Revision: 459102
- update to 1.43

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 374734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.410.0-1.mga3
+ Revision: 267515
- update to 1.41

* Tue Jan 25 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 38394
- mageia rebuild
- imported package perl-WWW-Mechanize-Cached

